"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toYfm = void 0;
const const_1 = require("./const");
exports.toYfm = {
    [const_1.DeflistNode.List]: (state, node) => {
        state.renderContent(node);
    },
    [const_1.DeflistNode.Term]: (state, node) => {
        state.renderInline(node);
        state.ensureNewLine();
    },
    [const_1.DeflistNode.Desc]: (state, node) => {
        state.wrapBlock('  ', ': ', node, () => {
            state.renderContent(node);
        });
    },
};
