import { Action, ExtensionAuto } from '../../../core';
import { ListAction } from './const';
import { ListsInputRulesOptions } from './inputrules';
export declare type ListsOptions = {
    ulKey?: string | null;
    olKey?: string | null;
    ulInputRules?: ListsInputRulesOptions['bulletListInputRule'];
};
export declare const Lists: ExtensionAuto<ListsOptions>;
/**
 * @deprecated
 * For tests only.
 * Remove after WIKI-16660
 */
export declare const ListsE: (opts?: ListsOptions | undefined) => import("../../../core").ExtensionSpec;
declare global {
    namespace YfmEditor {
        interface Actions {
            [ListAction.ToBulletList]: Action;
            [ListAction.ToOrderedList]: Action;
            [ListAction.SinkListItem]: Action;
            [ListAction.LiftListItem]: Action;
        }
    }
}
