"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isIntoListOfType = exports.findAnyParentList = exports.olType = exports.blType = exports.liType = void 0;
const prosemirror_utils_1 = require("prosemirror-utils");
const schema_1 = require("../../../utils/schema");
const const_1 = require("./const");
exports.liType = (0, schema_1.nodeTypeFactory)(const_1.ListNode.ListItem);
exports.blType = (0, schema_1.nodeTypeFactory)(const_1.ListNode.BulletList);
exports.olType = (0, schema_1.nodeTypeFactory)(const_1.ListNode.OrderedList);
const findAnyParentList = (schema) => (0, prosemirror_utils_1.findParentNodeOfType)([(0, exports.blType)(schema), (0, exports.olType)(schema)]);
exports.findAnyParentList = findAnyParentList;
const isIntoListOfType = (nodeName) => (state) => { var _a; return ((_a = (0, exports.findAnyParentList)(state.schema)(state.selection)) === null || _a === void 0 ? void 0 : _a.node.type.name) === nodeName; };
exports.isIntoListOfType = isIntoListOfType;
