import { Node, Schema } from 'prosemirror-model';
import { EditorState } from 'prosemirror-state';
export declare const isIntoTable: (state: EditorState) => boolean;
export declare const findParentTable: (state: EditorState) => import("prosemirror-utils").ContentNodeWithPos | undefined;
export declare const findParentBody: (state: EditorState) => import("prosemirror-utils").ContentNodeWithPos | undefined;
export declare const findParentRow: (state: EditorState) => import("prosemirror-utils").ContentNodeWithPos | undefined;
export declare const findParentCell: (state: EditorState) => import("prosemirror-utils").ContentNodeWithPos | undefined;
export declare const findTableRows: (table: Node, schema: Schema) => import("prosemirror-utils").NodeWithPos[];
export declare const findTableCells: (table: Node, schema: Schema) => import("prosemirror-utils").NodeWithPos[];
