"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.cutContentType = exports.cutTitleType = exports.cutType = exports.CutNode = void 0;
const schema_1 = require("../../../utils/schema");
var CutNode;
(function (CutNode) {
    CutNode["Cut"] = "yfm_cut";
    CutNode["CutTitle"] = "yfm_cut_title";
    CutNode["CutContent"] = "yfm_cut_content";
})(CutNode = exports.CutNode || (exports.CutNode = {}));
exports.cutType = (0, schema_1.nodeTypeFactory)(CutNode.Cut);
exports.cutTitleType = (0, schema_1.nodeTypeFactory)(CutNode.CutTitle);
exports.cutContentType = (0, schema_1.nodeTypeFactory)(CutNode.CutContent);
