import type { Action, ExtensionWithOptions } from '../../../core';
import { YfmTableSpecOptions } from './spec';
declare const action = "createYfmTable";
export { YfmTableNode } from './const';
export { yfmTableType, yfmTableBodyType, yfmTableRowType, yfmTableCellType } from './utils';
export declare type YfmTableOptions = YfmTableSpecOptions;
export declare const YfmTable: ExtensionWithOptions<YfmTableOptions>;
declare global {
    namespace YfmEditor {
        interface Actions {
            [action]: Action;
        }
    }
}
