"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.tryCatch = void 0;
function tryCatch(fn) {
    try {
        const result = fn();
        return { success: true, result };
    }
    catch (error) {
        console.error(error);
        return { success: false, error };
    }
}
exports.tryCatch = tryCatch;
