import { InputRule } from 'prosemirror-inputrules';
import { Fragment, MarkType, Node } from 'prosemirror-model';
export declare function markInputRule(rule: RegExp | {
    open: string;
    close: string;
    ignoreBetween?: string;
}, markType: MarkType, getAttrs?: (match: any) => Record<string, unknown>): InputRule;
export declare function nodeInputRule(regexp: RegExp, fragment: Node | Fragment | null | undefined, selectionOffset?: number): InputRule;
export declare function inlineNodeInputRule(regexp: RegExp, fragment: (match: string) => Node | Fragment | null | undefined): InputRule;
