"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.isWholeSelection = exports.isNodeSelection = exports.isTextSelection = void 0;
const prosemirror_state_1 = require("prosemirror-state");
const isTextSelection = (selection) => selection instanceof prosemirror_state_1.TextSelection;
exports.isTextSelection = isTextSelection;
const isNodeSelection = (selection) => selection instanceof prosemirror_state_1.NodeSelection;
exports.isNodeSelection = isNodeSelection;
// ts broke down when use "selection is AllSelection" return type
// maybe because AllSelection has same class type with different constructor
const isWholeSelection = (selection) => selection instanceof prosemirror_state_1.AllSelection;
exports.isWholeSelection = isWholeSelection;
