import { Selection } from 'prosemirror-state';
// @ts-expect-error // TODO: implements toJSON
export class GapCursorSelection extends Selection {
    constructor(pos) {
        super(pos, pos);
    }
    eq(other) {
        return other instanceof GapCursorSelection && other.head === this.head;
    }
    map(doc, mapping) {
        const $pos = doc.resolve(mapping.map(this.head));
        return Selection.near($pos);
    }
}
