import { Selection } from './Selection';
import { Placeholder } from './Placeholder';
import { Cursor } from './Cursor';
import { History } from './History';
import { Clipboard } from './Clipboard';
export * from './Cursor';
export * from './History';
export * from './Clipboard';
export * from './Selection';
export * from './Placeholder';
export const BehaviorPreset = (builder, opts) => {
    var _a, _b, _c;
    builder
        .use(Selection)
        .use(Placeholder)
        .use(Cursor, (_a = opts.cursor) !== null && _a !== void 0 ? _a : {})
        .use(History, (_b = opts.history) !== null && _b !== void 0 ? _b : {})
        .use(Clipboard, (_c = opts.clipboard) !== null && _c !== void 0 ? _c : {});
};
