import type { NodeType } from 'prosemirror-model';
import type { ExtensionAuto } from '../../../core';
export declare const hbType: (schema: import("prosemirror-model").Schema<any, any>) => NodeType;
export declare const sbType: (schema: import("prosemirror-model").Schema<any, any>) => NodeType;
export declare type BreaksOptions = {
    /** @default 'hard' */
    preferredBreak?: 'hard' | 'soft';
};
export declare const Breaks: ExtensionAuto<BreaksOptions>;
