import type { NodeType } from 'prosemirror-model';
import type { EditorState } from 'prosemirror-state';
import { HeadingLevel } from './const';
export declare const hType: (schema: import("prosemirror-model").Schema<any, any>) => NodeType;
export declare const hasParentHeading: (level: HeadingLevel) => (state: EditorState) => boolean;
export declare function headingRule(nodeType: NodeType, maxLevel: HeadingLevel): import("prosemirror-inputrules").InputRule;
