import { findParentNodeOfType } from 'prosemirror-utils';
import { nodeTypeFactory } from '../../../utils/schema';
import { ListNode } from './const';
export const liType = nodeTypeFactory(ListNode.ListItem);
export const blType = nodeTypeFactory(ListNode.BulletList);
export const olType = nodeTypeFactory(ListNode.OrderedList);
export const findAnyParentList = (schema) => findParentNodeOfType([blType(schema), olType(schema)]);
export const isIntoListOfType = (nodeName) => (state) => { var _a; return ((_a = findAnyParentList(state.schema)(state.selection)) === null || _a === void 0 ? void 0 : _a.node.type.name) === nodeName; };
