"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createExtension = void 0;
const ExtensionBuilder_1 = require("./ExtensionBuilder");
function createExtension(cb) {
    return (opts) => {
        const builder = new ExtensionBuilder_1.ExtensionBuilder();
        cb(builder, opts);
        return builder.build();
    };
}
exports.createExtension = createExtension;
