import type { MarkType } from 'prosemirror-model';
import { Action, ExtensionAuto } from '../../../core';
import { LinkActionMeta, LinkActionParams } from './actions';
export type { LinkActionParams } from './actions';
export { normalizeUrlFactory } from './utils';
export declare const link = "link";
declare const linkAction = "link";
export declare const linkType: (schema: import("prosemirror-model").Schema<any, any>) => MarkType;
export declare enum LinkAttr {
    Href = "href",
    Title = "title",
    IsPlaceholder = "is-placeholder",
    RawLink = "raw-link"
}
export declare const Link: ExtensionAuto;
/**
 * @deprecated
 * For tests only.
 * Remove after WIKI-16660
 */
export declare const LinkE: (opts?: {} | undefined) => import("../../../core").ExtensionSpec;
declare global {
    namespace YfmEditor {
        interface Actions {
            [linkAction]: Action<LinkActionParams, LinkActionMeta>;
        }
    }
}
