import type { NodeSpec } from 'prosemirror-model';
import { Action, ExtensionAuto } from '../../../core';
import { addImageAction } from './const';
import { AddImageAttrs } from './actions';
export { ImageAttr } from './const';
export declare type ImgSizeOptions = {
    placeholder?: NodeSpec['placeholder'];
};
export declare const ImgSize: ExtensionAuto<ImgSizeOptions>;
/**
 * @deprecated
 * For tests only.
 * Remove after WIKI-16660
 */
export declare const ImgSizeE: (opts?: ImgSizeOptions | undefined) => import("../../../core").ExtensionSpec;
declare global {
    namespace YfmEditor {
        interface Actions {
            [addImageAction]: Action<AddImageAttrs>;
        }
    }
}
