import { Action, ExtensionAuto } from '../../../core';
import { vAction } from './const';
import { VideoPluginOptions, VideoService } from './md-video';
export declare type VideoActionAttrs = {
    service: VideoService;
    url: string;
};
export { vType as videoType } from './utils';
export declare type VideoOptions = VideoPluginOptions & {};
export declare const Video: ExtensionAuto<VideoOptions>;
/**
 * @deprecated
 * For tests only.
 * Remove after WIKI-16660
 */
export declare const VideoE: (opts?: Partial<import("@doc-tools/transform/lib/plugins/video/types").VideoFullOptions> | undefined) => import("../../../core").ExtensionSpec;
declare global {
    namespace YfmEditor {
        interface Actions {
            [vAction]: Action<VideoActionAttrs>;
        }
    }
}
