"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getNodeAttrs = exports.headingRule = exports.hasParentHeading = exports.hType = void 0;
const const_1 = require("./const");
var utils_1 = require("../../markdown/Heading/utils");
Object.defineProperty(exports, "hType", { enumerable: true, get: function () { return utils_1.hType; } });
Object.defineProperty(exports, "hasParentHeading", { enumerable: true, get: function () { return utils_1.hasParentHeading; } });
Object.defineProperty(exports, "headingRule", { enumerable: true, get: function () { return utils_1.headingRule; } });
// const slug = require('slugify');
const getNodeAttrs = (level) => (node) => ({
    [const_1.YfmHeadingAttr.Level]: level,
    [const_1.YfmHeadingAttr.Id]: node.getAttribute('id') || '',
});
exports.getNodeAttrs = getNodeAttrs;
// export const slugify = (str: string) =>
//     // same config as in yfm-transform
//     // https://github.com/yandex-cloud/yfm-transform/blob/master/lib/plugins/anchors/index.js#L97-L100
//     slug(str, {
//         lower: true,
//         remove: /[*+~.()'"!:@]/g,
//     });
