"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.toYfm = void 0;
const const_1 = require("./const");
exports.toYfm = {
    [const_1.NoteNode.Note]: (state, node) => {
        state.renderContent(node);
        state.write('{% endnote %}');
        state.closeBlock(node);
    },
    [const_1.NoteNode.NoteTitle]: (state, node, parent) => {
        state.write(`{% note ${parent.attrs[const_1.NoteAttrs.Type]} `);
        if (node.textContent) {
            state.write('"');
            state.renderInline(node);
            state.write('"');
        }
        state.write(' %}\n');
        state.write('\n');
        state.closeBlock();
    },
};
