import type { Node } from 'prosemirror-model';
import { PluginKey } from 'prosemirror-state';
import { DecorationSet } from 'prosemirror-view';
import type { ExtensionAuto } from '../../../core';
import './index.css';
export declare const getPlaceholderContent: (node: Node) => string;
export declare const createPlaceholder: (node: Node, focus?: boolean) => HTMLDivElement;
export declare const Placeholder: ExtensionAuto;
declare module 'prosemirror-model' {
    interface NodeSpec {
        placeholder?: {
            content: string | ((node: Node) => string);
            customPlugin?: PluginKey<DecorationSet>;
            alwaysVisible?: boolean;
        };
    }
}
