import type { ExtensionAuto } from '../../core';
import { CursorOptions } from './Cursor';
import { HistoryOptions } from './History';
import { ClipboardOptions } from './Clipboard';
export * from './Cursor';
export * from './History';
export * from './Clipboard';
export * from './Selection';
export * from './Placeholder';
export declare type BehaviorPresetOptions = {
    cursor?: CursorOptions;
    history?: HistoryOptions;
    clipboard?: ClipboardOptions;
};
export declare const BehaviorPreset: ExtensionAuto<BehaviorPresetOptions>;
