import { toParagraph } from '../../base/BaseSchema';
import { cbType } from './const';
export const resetCodeblock = (state, dispatch, view) => {
    const { selection } = state;
    if (selection.empty &&
        selection.$from.parent.type === cbType(state.schema) &&
        (view === null || view === void 0 ? void 0 : view.endOfTextblock('backward', state))) {
        return toParagraph(state, dispatch, view);
    }
    return false;
};
