import { Action, ExtensionAuto } from '../../../core';
import { YfmCutSpecOptions } from './spec';
declare const cutAction = "toYfmCut";
export { CutNode, cutType, cutTitleType, cutContentType } from './const';
export declare type YfmCutOptions = YfmCutSpecOptions & {
    yfmCutKey?: string | null;
};
export declare const YfmCut: ExtensionAuto<YfmCutOptions>;
/**
 * @deprecated
 * For tests only.
 * Remove after WIKI-16660
 */
export declare const YfmCutE: (opts?: YfmCutOptions | undefined) => import("../../../core").ExtensionSpec;
declare global {
    namespace YfmEditor {
        interface Actions {
            [cutAction]: Action;
        }
    }
}
