import { Action, ExtensionAuto } from '../../../core';
import { YfmNoteSpecOptions } from './spec';
import './index.css';
declare const noteAction = "toYfmNote";
export { noteType, noteTitleType } from './utils';
export declare type YfmNoteOptions = YfmNoteSpecOptions & {
    yfmNoteKey?: string | null;
};
export declare const YfmNote: ExtensionAuto<YfmNoteOptions>;
/**
 * @deprecated
 * For tests only.
 * Remove after WIKI-16660
 */
export declare const YfmNoteE: (opts?: YfmNoteOptions | undefined) => import("../../../core").ExtensionSpec;
declare global {
    namespace YfmEditor {
        interface Actions {
            [noteAction]: Action;
        }
    }
}
