import React from 'react';
export const YfmEditorComponent = ({ className, autofocus, editor, children, }) => {
    const ref = React.useRef(null);
    React.useEffect(() => {
        const { current } = ref;
        if (current) {
            current.appendChild(editor.dom);
            if (autofocus) {
                editor.focus();
            }
        }
    }, [editor]);
    return (React.createElement("div", { ref: ref, className: className }, children));
};
YfmEditorComponent.displayName = 'YfmEditorComponent';
