import { Node as PmNode } from 'prosemirror-model';
import { Predicate } from 'prosemirror-utils';
export declare const isTableNode: Predicate;
export declare const isTableBodyNode: Predicate;
export declare const isTableRowNode: Predicate;
export declare const isTableCellNode: Predicate;
export declare const findParentTable: (selection: import("prosemirror-state").Selection) => import("prosemirror-utils").ContentNodeWithPos | undefined;
export declare const findParentTableBody: (selection: import("prosemirror-state").Selection) => import("prosemirror-utils").ContentNodeWithPos | undefined;
export declare const findParentTableRow: (selection: import("prosemirror-state").Selection) => import("prosemirror-utils").ContentNodeWithPos | undefined;
export declare const findParentTableCell: (selection: import("prosemirror-state").Selection) => import("prosemirror-utils").ContentNodeWithPos | undefined;
export declare const findChildTableRows: (node: PmNode) => import("prosemirror-utils").NodeWithPos[];
export declare const findChildTableCells: (node: PmNode) => import("prosemirror-utils").NodeWithPos[];
export declare const findChildTableBody: (node: PmNode) => import("prosemirror-utils").NodeWithPos[];
export declare const getTableDimensions: (node: PmNode | Node) => {
    rows: number;
    cols: number;
};
