import type { ToolbarData } from './Toolbar';
import { ToolbarItemData } from './types';
export declare type ShrinkToolbarDataParams<E> = {
    data: ToolbarData<E>;
    availableWidth: number;
};
export declare function shrinkToolbarData<E>({ availableWidth, data }: ShrinkToolbarDataParams<E>): {
    data: ToolbarData<E>;
    dots?: ToolbarItemData<E>[];
};
