import { TextSelection, NodeSelection, AllSelection } from 'prosemirror-state';
export const isTextSelection = (selection) => selection instanceof TextSelection;
export const isNodeSelection = (selection) => selection instanceof NodeSelection;
// ts broke down when use "selection is AllSelection" return type
// maybe because AllSelection has same class type with different constructor
export const isWholeSelection = (selection) => selection instanceof AllSelection;
